> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook event types

> Returns the catalog of webhook event types you can subscribe to, grouped by category. Use these `type` values when configuring an endpoint’s `enabledEvents`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sdk/webhooks/event-types
openapi: 3.0.0
info:
  contact: {}
  description: The SolvaPay REST API specification
  title: SolvaPay REST API
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /v1/sdk/webhooks/event-types:
    get:
      tags:
        - Webhooks
      summary: List webhook event types
      description: >-
        Returns the catalog of webhook event types you can subscribe to, grouped
        by category. Use these `type` values when configuring an endpoint’s
        `enabledEvents`.
      operationId: WebhookSdkController_listEventTypes
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WebhookEventCategoryDto'
                type: array
          description: ''
      security:
        - SecretKey: []
components:
  schemas:
    WebhookEventCategoryDto:
      properties:
        category:
          description: Category key.
          example: purchase
          type: string
        description:
          description: Category description.
          type: string
        events:
          description: Events in this category.
          items:
            $ref: '#/components/schemas/WebhookEventDefinitionDto'
          type: array
        label:
          description: Human-readable category label.
          example: Purchases & subscriptions
          type: string
      required:
        - category
        - label
        - description
        - events
      type: object
    WebhookEventDefinitionDto:
      properties:
        description:
          description: Human-readable description of the event.
          type: string
        status:
          description: Emission status.
          enum:
            - live
            - planned
          example: live
          type: string
        type:
          $ref: '#/components/schemas/WebhookEventType'
          example: purchase.created
      required:
        - type
        - description
        - status
      type: object
    WebhookEventType:
      description: Event type.
      enum:
        - customer.created
        - customer.updated
        - customer.deleted
        - purchase.created
        - purchase.activated
        - purchase.updated
        - purchase.trial_ending
        - purchase.trial_converted
        - purchase.suspended
        - purchase.past_due
        - purchase.cancellation_scheduled
        - purchase.cancelled
        - purchase.reactivated
        - purchase.expired
        - purchase.renewed
        - purchase.renewal_reminder
        - purchase.refunded
        - purchase.plan_changed
        - payment.succeeded
        - payment.failed
        - payment.refunded
        - payment.refund_failed
        - payment.refund_pending
        - payment.canceled
        - payment.disputed
        - payment.dispute_closed
        - payout.paid
        - payout.failed
        - checkout_session.created
        - checkout_session.completed
        - checkout_session.expired
        - customer.credit.topped_up
        - customer.credit.low_balance
        - customer.credit.exhausted
        - customer.credit.debited
        - customer.credit.granted
        - customer.credit.adjusted
        - customer.credit.auto_topup_failed
        - usage.charged
        - usage.recorded
        - usage.reset
        - product.created
        - product.updated
        - product.archived
        - plan.created
        - plan.updated
        - plan.archived
      type: string
  securitySchemes:
    SecretKey:
      bearerFormat: JWT
      description: >-
        Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer
        token.
      scheme: bearer
      type: http

````